--
-- Conectado como SYS
--
-- Eliminamos el tablespace TFC si existiera.
DROP TABLESPACE TFC INCLUDING CONTENTS AND DATAFILES;
-- 
-- Creamos el tablespace TFC
--
CREATE TABLESPACE TFC 
    DATAFILE 'TFC.DBF' SIZE 50 M 
    DEFAULT NOCOMPRESS 
    ONLINE 
    EXTENT MANAGEMENT LOCAL AUTOALLOCATE;
--
-- Eliminamos el usuario TFC si existiera.
--
DROP USER TFC CASCADE;
--
-- Creamos el usuario TFC
--
CREATE USER TFC
IDENTIFIED BY TFC
DEFAULT TABLESPACE TFC
QUOTA UNLIMITED ON TFC
TEMPORARY TABLESPACE TEMP
ACCOUNT UNLOCK ;
--
GRANT DBA TO TFC ;
--