DECLARE
  rsp               Registro.salida % TYPE;
  idParlamento      Parlamento.idParlamento % TYPE;
  idParlamentario   Parlamentario.idParlamentario % TYPE;
  idPartido         Partido.idPartido % TYPE;
  numParlamentarios Parlamento.maxParlamentarios % TYPE;
  fechaDesde        ParlamentoDH.desde % TYPE;
  fechaHasta        ParlamentoDH.hasta % TYPE;
BEGIN
  DBMS_OUTPUT.ENABLE (buffer_size => NULL);
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('CARGA DATOS TABLAS PARLAMENTO Y PARLAMENTARIO');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('ALTA Parlamento');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  pkg_parlamento.alta ('Parlamento Europeo', 1, 1, '1, Avenue du Prsident Robert Schuman', 'F-67070', '+33 3 88 17 40 01', 'http://www.europarl.europa.eu/', 736, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamento.alta ('Congreso de los Diputados', 2, 2, 'Floridablanca s/n', '28071', '+34 91 390 60 00', 'http://www.congreso.es/', 350, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamento.alta ('Senado de Espaa', 2, 2, 'Bailn, 3', '28071', '+34 91 538 10 00', 'http://www.senado.es/', 266, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamento.alta ('Asamblea de Madrid', 2, 3, 'Plaza de la Asamblea de Madrid, 1', '28018', '+34 91 779 95 00', 'http://www.asambleamadrid.es/', 129, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamento.alta ('Parlament de Catalunya', 3, 3, 'Parc de la Ciutadella, s/n', '08003', '+34 93 304 65 00', 'http://www.parlament.cat/', 135, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamento.alta ('Parlament de les Illes Balears', 4, 3, 'Conquistador, 11', '07001', '+34 971 228 281', 'http://www.parlamentib.es/', 59, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('ALTA Parlamentario');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  pkg_parlamentario.alta ('Mariano', 'Rajoy Brey', rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.alta ('Jose Luis', 'Rodrguez Zapatero', rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.alta ('Alfredo', 'Prez Rubalcaba', rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.alta ('Josep Antoni', 'Duran i Lleida', rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.alta ('Rosa Mara', 'Dez Gonzlez', rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.alta ('Emilio', 'Olabarra Muoz', rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.alta ('Gaspar', 'Llamazares Trigo', rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.alta ('Soraya', 'Senz de Santamara', rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.alta ('Alberto', 'Ruz Gallardn', rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.alta ('Diego', 'Lpez Garrido', rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.alta ('Antonio', 'Cant Garca del Moral', rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('ALTA PartidoDH');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  pkg_parlamentario.partido_desde (1, 2, TO_DATE ('01/01/2001', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.partido_desde (2, 1, TO_DATE ('01/01/2001', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.partido_desde (3, 1, TO_DATE ('01/01/2001', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.partido_desde (4, 4, TO_DATE ('01/01/2001', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.partido_desde (5, 1, TO_DATE ('01/01/2001', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.partido_desde (6, 5, TO_DATE ('01/01/2001', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.partido_desde (7, 6, TO_DATE ('01/01/2001', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.partido_desde (8, 2, TO_DATE ('01/01/2001', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.partido_desde (9, 2, TO_DATE ('01/01/2001', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.partido_desde (10, 1, TO_DATE ('01/01/2001', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('ALTA ParlamentoDH');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  pkg_parlamentario.parlamento_desde (1, 2, TO_DATE ('01/01/2013', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.parlamento_desde (2, 2, TO_DATE ('01/01/2013', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.parlamento_desde (3, 2, TO_DATE ('01/01/2013', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.parlamento_desde (4, 2, TO_DATE ('01/01/2013', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.parlamento_desde (5, 1, TO_DATE ('01/01/2013', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.parlamento_desde (6, 1, TO_DATE ('01/01/2013', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.parlamento_desde (7, 1, TO_DATE ('01/01/2013', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.parlamento_desde (8, 1, TO_DATE ('01/01/2013', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.parlamento_desde (9, 1, TO_DATE ('01/01/2013', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  pkg_parlamentario.parlamento_desde (10, 1, TO_DATE ('01/01/2013', 'dd/mm/yyyy'), rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
END;