DECLARE
  --
  rsp              Registro.salida % TYPE;
  fecha            Gasto.fecha % TYPE;
  idParlamento     Gasto.idParlamento % TYPE;
  idParlamentario  Gasto.idParlamentario % TYPE;
  baseImponible    Gasto.baseImponible % TYPE;
  idTipoIVA        Gasto.idTipoIVA % TYPE;
  idCategoriaGasto Gasto.idCategoriaGasto % TYPE;
  idEstado         Gasto.idEstado % TYPE;
  idFormaPago      Gasto.idFormaPago % TYPE;
  idProveedor      Gasto.idProveedor % TYPE;
--
BEGIN
  --
  DBMS_OUTPUT.ENABLE (buffer_size => NULL);
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('CARGA DATOS TABLA GASTO');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('ALTA Gasto');
  DBMS_OUTPUT.NEW_LINE;
  --
  --  
  -- ------------------------------------------------------------------------------------------------------------------
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 1;                                      -- Parlamento Europeo
  idTipoIVA := 1;                                         -- Sin IVA
  idCategoriaGasto := 1;                                  -- Nminas parlamentarios
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Pagado mediante transferencia
  idProveedor := 1;                                       -- Parlamento Europeo

  idParlamentario := 5;
  baseImponible := 10000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 6;
  baseImponible := 9000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 7;
  baseImponible := 8000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 8;
  baseImponible := 7000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 1;                                      -- Parlamento Europeo 
  idTipoIVA := 1;                                         -- Sin IVA
  idCategoriaGasto := 1;                                  -- Nminas parlamentarios
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Pagado mediante transferencia
  idProveedor := 1;                                       -- Parlamento Europeo

  idParlamentario := 5;
  baseImponible := 11000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 6;
  baseImponible := 10000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 7;
  baseImponible := 9000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 8;
  baseImponible := 8000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 1;                                         -- Sin IVA
  idCategoriaGasto := 1;                                  -- Nminas parlamentarios
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Pagado mediante transferencia
  idProveedor := 2;                                       -- Congreso

  idParlamentario := 1;
  baseImponible := 5000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 2;
  baseImponible := 4000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 3;
  baseImponible := 3000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 4;
  baseImponible := 2000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 1;                                         -- Sin IVA
  idCategoriaGasto := 1;                                  -- Nminas parlamentarios
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Pagado mediante transferencia
  idProveedor := 2;                                       -- Congreso

  idParlamentario := 1;
  baseImponible := 6000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 2;
  baseImponible := 5000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 3;
  baseImponible := 4000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 4;
  baseImponible := 3000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --  
  -- ------------------------------------------------------------------------------------------------------------------
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 1;                                      -- Parlamento Europeo
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 2;                                  -- Billetes de avin
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 2;                                       -- Tarjeta
  idProveedor := 3;                                       -- Aerolneas

  idParlamentario := 5;
  baseImponible := 500.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 6;
  baseImponible := 400.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 7;
  baseImponible := 300.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 8;
  baseImponible := 200.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 1;                                      -- Parlamento Europeo 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 2;                                  -- Billetes de avin
  idEstado := 2;                                          -- Pendiente aprobacin y pagado
  idFormaPago := 2;                                       -- Tarjeta
  idProveedor := 3;                                       -- Aerolneas

  idParlamentario := 5;
  baseImponible := 600.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 6;
  baseImponible := 500.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 7;
  baseImponible := 400.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 8;
  baseImponible := 300.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 2;                                  -- Billetes de avin
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 2;                                       -- Tarjeta
  idProveedor := 3;                                       -- Aerolneas

  idParlamentario := 1;
  baseImponible := 400.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 2;
  baseImponible := 300.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 3;
  baseImponible := 200.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 4;
  baseImponible := 100.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 2;                                  -- Billetes de avin
  idEstado := 2;                                          -- Pendiente aprobacin y pagado
  idFormaPago := 2;                                       -- Tarjeta
  idProveedor := 3;                                       -- Aerolneas

  idParlamentario := 1;
  baseImponible := 500.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 2;
  baseImponible := 400.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 3;
  baseImponible := 300.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 4;
  baseImponible := 200.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --  
  -- ------------------------------------------------------------------------------------------------------------------
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 1;                                      -- Parlamento Europeo
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 3;                                  -- Telfonos parlamentarios
  idEstado := 3;                                          -- Aprobado, no pagado
  idFormaPago := NULL;                                    -- Ninguna
  idProveedor := 4;                                       -- Telefnica

  idParlamentario := 5;
  baseImponible := 800.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 6;
  baseImponible := 700.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 7;
  baseImponible := 600.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 8;
  baseImponible := 500.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 1;                                      -- Parlamento Europeo 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 3;                                  -- Telfonos parlamentarios
  idEstado := 1;                                          -- Pendiente aprobacin, no pagado
  idFormaPago := NULL;                                    -- Ninguna
  idProveedor := 4;                                       -- Telefnica

  idParlamentario := 5;
  baseImponible := 900.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 6;
  baseImponible := 800.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 7;
  baseImponible := 700.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 8;
  baseImponible := 600.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 3;                                  -- Telfonos parlamentarios
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Transferencia
  idProveedor := 4;                                       -- Telefnica

  idParlamentario := 1;
  baseImponible := 500.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 2;
  baseImponible := 400.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 3;
  baseImponible := 300.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 4;
  baseImponible := 200.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 3;                                  -- Telfonos parlamentarios
  idEstado := 1;                                          -- Pendiente aprobacin, no pagado
  idFormaPago := NULL;                                    -- Ninguna
  idProveedor := 4;                                       -- Telefnica

  idParlamentario := 1;
  baseImponible := 600.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 2;
  baseImponible := 500.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 3;
  baseImponible := 400.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 4;
  baseImponible := 300.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --  
  -- ------------------------------------------------------------------------------------------------------------------
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 1;                                      -- Parlamento Europeo
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 4;                                  -- Ordenadores parlamentarios
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Transferencia
  idProveedor := 5;                                       -- Informtica

  idParlamentario := 5;
  baseImponible := 1000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 6;
  baseImponible := 900.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 7;
  baseImponible := 800.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 8;
  baseImponible := 700.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 1;                                      -- Parlamento Europeo 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 4;                                  -- Ordenadores parlamentarios
  idEstado := 3;                                          -- Aprobado, no pagado
  idFormaPago := NULL;                                    -- Ninguna
  idProveedor := 5;                                       -- Informtica

  idParlamentario := 5;
  baseImponible := 1100.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 6;
  baseImponible := 1000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 7;
  baseImponible := 900.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 8;
  baseImponible := 800.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 4;                                  -- Ordenadores parlamentarios
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Transferencia
  idProveedor := 5;                                       -- Informtica

  idParlamentario := 1;
  baseImponible := 500.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 2;
  baseImponible := 400.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 3;
  baseImponible := 300.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 4;
  baseImponible := 200.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 4;                                  -- Ordenadores parlamentarios
  idEstado := 3;                                          -- Aprobado, no pagado
  idFormaPago := NULL;                                    -- Ninguna
  idProveedor := 5;                                       -- Informtica

  idParlamentario := 1;
  baseImponible := 600.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 2;
  baseImponible := 500.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 3;
  baseImponible := 400.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  idParlamentario := 4;
  baseImponible := 300.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  -- =================================================================================================================
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 1;                                      -- Parlamento Europeo
  idTipoIVA := 1;                                         -- Sin IVA
  idCategoriaGasto := 5;                                  -- Nminas trabajadores parlamento
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Pagado mediante transferencia
  idProveedor := 1;                                       -- Parlamento Europeo

  idParlamentario := NULL;
  baseImponible := 20000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 1;                                      -- Parlamento Europeo 
  idTipoIVA := 1;                                         -- Sin IVA
  idCategoriaGasto := 5;                                  -- Nminas trabajadores parlamento
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Pagado mediante transferencia
  idProveedor := 1;                                       -- Parlamento Europeo

  idParlamentario := NULL;
  baseImponible := 22000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 1;                                         -- Sin IVA
  idCategoriaGasto := 5;                                  -- Nminas trabajadores parlamento
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Pagado mediante transferencia
  idProveedor := 2;                                       -- Congreso

  idParlamentario := NULL;
  baseImponible := 10000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 1;                                         -- Sin IVA
  idCategoriaGasto := 5;                                  -- Nminas trabajadores parlamento
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Pagado mediante transferencia
  idProveedor := 2;                                       -- Congreso

  idParlamentario := NULL;
  baseImponible := 12000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --  
  -- ------------------------------------------------------------------------------------------------------------------
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 1;                                      -- Parlamento Europeo
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 6;                                  -- Billetes de avin parlamento
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 2;                                       -- Tarjeta
  idProveedor := 3;                                       -- Aerolneas

  idParlamentario := NULL;
  baseImponible := 5000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 1;                                      -- Parlamento Europeo 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 6;                                  -- Billetes de avin parlamento
  idEstado := 2;                                          -- Pendiente aprobacin y pagado
  idFormaPago := 2;                                       -- Tarjeta
  idProveedor := 3;                                       -- Aerolneas

  idParlamentario := NULL;
  baseImponible := 6000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 6;                                  -- Billetes de avin parlamento
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 2;                                       -- Tarjeta
  idProveedor := 3;                                       -- Aerolneas

  idParlamentario := NULL;
  baseImponible := 4000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 6;                                  -- Billetes de avin parlamento
  idEstado := 2;                                          -- Pendiente aprobacin y pagado
  idFormaPago := 2;                                       -- Tarjeta
  idProveedor := 3;                                       -- Aerolneas

  idParlamentario := NULL;
  baseImponible := 5000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --  
  -- ------------------------------------------------------------------------------------------------------------------
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 1;                                      -- Parlamento Europeo
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 7;                                  -- Telfonos parlamento
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Transferencia
  idProveedor := 4;                                       -- Telefnica

  idParlamentario := NULL;
  baseImponible := 3000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 1;                                      -- Parlamento Europeo 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 7;                                  -- Telfonos parlamento
  idEstado := 1;                                          -- Pendiente aprobacin, no pagado
  idFormaPago := NULL;                                    -- Ninguna
  idProveedor := 4;                                       -- Telefnica

  idParlamentario := NULL;
  baseImponible := 4000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 7;                                  -- Telfonos parlamento
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Transferencia
  idProveedor := 4;                                       -- Telefnica

  idParlamentario := NULL;
  baseImponible := 1000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 7;                                  -- Telfonos parlamento
  idEstado := 1;                                          -- Pendiente aprobacin, no pagado
  idFormaPago := NULL;                                    -- Ninguna
  idProveedor := 4;                                       -- Telefnica

  idParlamentario := NULL;
  baseImponible := 2000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --  
  -- ------------------------------------------------------------------------------------------------------------------
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 1;                                      -- Parlamento Europeo
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 8;                                  -- Ordenadores parlamento
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Transferencia
  idProveedor := 5;                                       -- Informtica

  idParlamentario := NULL;
  baseImponible := 10000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 1;                                      -- Parlamento Europeo 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 8;                                  -- Ordenadores parlamento
  idEstado := 3;                                          -- Aprobado, no pagado
  idFormaPago := NULL;                                    -- Ninguna
  idProveedor := 5;                                       -- Informtica

  idParlamentario := NULL;
  baseImponible := 12000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2013', 'dd/mm/yyyy');        -- 2013
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 8;                                  -- Ordenadores parlamento
  idEstado := 4;                                          -- Aprobado y pagado
  idFormaPago := 1;                                       -- Transferencia
  idProveedor := 5;                                       -- Informtica

  idParlamentario := NULL;
  baseImponible := 5000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
  --
  --
  fecha := TO_DATE ('01/01/2014', 'dd/mm/yyyy');        -- 2014
  idParlamento := 2;                                      -- Congreso 
  idTipoIVA := 2;                                         -- Con IVA
  idCategoriaGasto := 8;                                  -- Ordenadores parlamento
  idEstado := 3;                                          -- Aprobado, no pagado
  idFormaPago := NULL;                                    -- Ninguna
  idProveedor := 5;                                       -- Informtica

  idParlamentario := NULL;
  baseImponible := 6000.00;
  pkg_gasto.alta (fecha, idParlamento, idParlamentario, baseImponible, idTipoIVA, idCategoriaGasto, idEstado, idFormaPago, idProveedor, NULL, NULL, NULL, NULL, NULL, rsp);
  DBMS_OUTPUT.PUT_LINE ('rsp = [' || rsp || ']');
--
--
END;
/