DECLARE
  --
  rsp                     Registro.salida % TYPE;
  --
  numEjerciciosAnteriores NATURAL := 0;
  --
  idEjercicio             ParlamentarioST.idEjercicio % TYPE;
  idParlamento            ParlamentarioST.idParlamento % TYPE;
  idParlamentario         ParlamentarioST.idParlamentario % TYPE;
  --
  sumaTotalGastos         ParlamentoST.totalGastos % TYPE;
  diferencia              ParlamentoST.totalGastos % TYPE;
  sumaGastos              ParlamentoST.totalGastosParlamentarios % TYPE;
  sumaParlamentarios      ParlamentoST.numParlamentarios % TYPE;
  minGastoParlamentario   ParlamentoST.minGastoParlamentario % TYPE;
  maxGastoParlamentario   ParlamentoST.maxGastoParlamentario % TYPE;
  minTotalGastos          ParlamentoST.totalGastos % TYPE;
  maxTotalGastos          ParlamentoST.totalGastos % TYPE;
  mediaGastos             ParlamentoST.totalGastosParlamentarios % TYPE;
  minMedia                ParlamentoST.totalGastosParlamentarios % TYPE;
  maxMedia                ParlamentoST.totalGastosParlamentarios % TYPE;
  nombre                  Parlamento.nombre % TYPE;

BEGIN
  --
  DBMS_OUTPUT.ENABLE (buffer_size => NULL);
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('RESULTADOS TEST ESTADISTICAS');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('totalGastos_Parlamento');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  idEjercicio := 2013;
  idParlamento := 1;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamento (idEjercicio, numEjerciciosAnteriores, idParlamento, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamento = [' || idParlamento || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2013;
  idParlamento := 1;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamento (idEjercicio, numEjerciciosAnteriores, idParlamento, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamento = [' || idParlamento || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2013;
  idParlamento := 2;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamento (idEjercicio, numEjerciciosAnteriores, idParlamento, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamento = [' || idParlamento || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2013;
  idParlamento := 2;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamento (idEjercicio, numEjerciciosAnteriores, idParlamento, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamento = [' || idParlamento || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamento := 1;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamento (idEjercicio, numEjerciciosAnteriores, idParlamento, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamento = [' || idParlamento || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamento := 1;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamento (idEjercicio, numEjerciciosAnteriores, idParlamento, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamento = [' || idParlamento || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamento := 2;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamento (idEjercicio, numEjerciciosAnteriores, idParlamento, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamento = [' || idParlamento || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamento := 2;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamento (idEjercicio, numEjerciciosAnteriores, idParlamento, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamento = [' || idParlamento || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2016;	-- No existe
  idParlamento := 2;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamento (idEjercicio, numEjerciciosAnteriores, idParlamento, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamento = [' || idParlamento || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamento := 222;	-- No existe
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamento (idEjercicio, numEjerciciosAnteriores, idParlamento, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamento = [' || idParlamento || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamento := 3;		-- No existen estadsticas
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamento (idEjercicio, numEjerciciosAnteriores, idParlamento, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamento = [' || idParlamento || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --	
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('diferenciaGastoParlamentario');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  idEjercicio := 2013;
  idParlamento := 1;
  pkg_estadistica.diferenciaGastoParlamentario (idEjercicio, idParlamento, minGastoParlamentario, maxGastoParlamentario, diferencia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + minGastoParlamentario = [' || minGastoParlamentario || '] + maxGastoParlamentario = [' || maxGastoParlamentario || '] + diferencia = [' || diferencia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2013;
  idParlamento := 2;
  pkg_estadistica.diferenciaGastoParlamentario (idEjercicio, idParlamento, minGastoParlamentario, maxGastoParlamentario, diferencia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + minGastoParlamentario = [' || minGastoParlamentario || '] + maxGastoParlamentario = [' || maxGastoParlamentario || '] + diferencia = [' || diferencia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamento := 1;
  pkg_estadistica.diferenciaGastoParlamentario (idEjercicio, idParlamento, minGastoParlamentario, maxGastoParlamentario, diferencia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + minGastoParlamentario = [' || minGastoParlamentario || '] + maxGastoParlamentario = [' || maxGastoParlamentario || '] + diferencia = [' || diferencia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamento := 2;
  pkg_estadistica.diferenciaGastoParlamentario (idEjercicio, idParlamento, minGastoParlamentario, maxGastoParlamentario, diferencia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + minGastoParlamentario = [' || minGastoParlamentario || '] + maxGastoParlamentario = [' || maxGastoParlamentario || '] + diferencia = [' || diferencia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2016;	-- No existe
  idParlamento := 2;
  pkg_estadistica.diferenciaGastoParlamentario (idEjercicio, idParlamento, minGastoParlamentario, maxGastoParlamentario, diferencia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + minGastoParlamentario = [' || minGastoParlamentario || '] + maxGastoParlamentario = [' || maxGastoParlamentario || '] + diferencia = [' || diferencia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamento := 222;	-- No existe
  pkg_estadistica.diferenciaGastoParlamentario (idEjercicio, idParlamento, minGastoParlamentario, maxGastoParlamentario, diferencia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + minGastoParlamentario = [' || minGastoParlamentario || '] + maxGastoParlamentario = [' || maxGastoParlamentario || '] + diferencia = [' || diferencia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamento := 3;		-- No existen estadsticas
  pkg_estadistica.diferenciaGastoParlamentario (idEjercicio, idParlamento, minGastoParlamentario, maxGastoParlamentario, diferencia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + minGastoParlamentario = [' || minGastoParlamentario || '] + maxGastoParlamentario = [' || maxGastoParlamentario || '] + diferencia = [' || diferencia || '] + rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('minTotalGastos_Parlamentos');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  idEjercicio := 2013;
  pkg_estadistica.minTotalGastos_Parlamentos (idEjercicio, idParlamento, minTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + minTotalGastos = [' || minTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  pkg_estadistica.minTotalGastos_Parlamentos (idEjercicio, idParlamento, minTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + minTotalGastos = [' || minTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2016;	-- No existe
  pkg_estadistica.minTotalGastos_Parlamentos (idEjercicio, idParlamento, minTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + minTotalGastos = [' || minTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2012;	-- No existen estadsticas
  pkg_estadistica.minTotalGastos_Parlamentos (idEjercicio, idParlamento, minTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + minTotalGastos = [' || minTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('maxTotalGastos_Parlamentos');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  idEjercicio := 2013;
  pkg_estadistica.maxTotalGastos_Parlamentos (idEjercicio, idParlamento, maxTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + maxTotalGastos = [' || maxTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  pkg_estadistica.maxTotalGastos_Parlamentos (idEjercicio, idParlamento, maxTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + maxTotalGastos = [' || maxTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2016;	-- No existe
  pkg_estadistica.maxTotalGastos_Parlamentos (idEjercicio, idParlamento, maxTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + maxTotalGastos = [' || maxTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2012;	-- No existen estadsticas
  pkg_estadistica.maxTotalGastos_Parlamentos (idEjercicio, idParlamento, maxTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + maxTotalGastos = [' || maxTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('totalGastos_Parlamentario');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  idEjercicio := 2013;
  idParlamentario := 1;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2013;
  idParlamentario := 1;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  idEjercicio := 2013;
  idParlamentario := 2;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2013;
  idParlamentario := 2;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  idEjercicio := 2013;
  idParlamentario := 6;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2013;
  idParlamentario := 6;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  idEjercicio := 2013;
  idParlamentario := 7;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2013;
  idParlamentario := 7;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  idEjercicio := 2014;
  idParlamentario := 1;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamentario := 1;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  idEjercicio := 2014;
  idParlamentario := 2;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamentario := 2;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  idEjercicio := 2014;
  idParlamentario := 6;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamentario := 6;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  idEjercicio := 2014;
  idParlamentario := 7;
  numEjerciciosAnteriores := 0;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamentario := 7;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2016;	-- No existe
  idParlamentario := 7;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  idParlamentario := 75;	-- No existe
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2012;	-- No existen estadsticas
  idParlamentario := 7;
  numEjerciciosAnteriores := 1;
  pkg_estadistica.totalGastos_Parlamentario (idEjercicio, numEjerciciosAnteriores, idParlamentario, sumaTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + numEjerciciosAnteriores = [' || numEjerciciosAnteriores || '] + idParlamentario = [' || idParlamentario || '] + sumaTotalGastos = [' || sumaTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('mediaGastosParlamentarios');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  idEjercicio := 2013;
  pkg_estadistica.mediaGastosParlamentarios (idEjercicio, sumaGastos, sumaParlamentarios, mediaGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + sumaGastos = [' || sumaGastos || '] + sumaParlamentarios = [' || sumaParlamentarios || '] + mediaGastos = [' || mediaGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  pkg_estadistica.mediaGastosParlamentarios (idEjercicio, sumaGastos, sumaParlamentarios, mediaGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + sumaGastos = [' || sumaGastos || '] + sumaParlamentarios = [' || sumaParlamentarios || '] + mediaGastos = [' || mediaGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2016;	-- No existe
  pkg_estadistica.mediaGastosParlamentarios (idEjercicio, sumaGastos, sumaParlamentarios, mediaGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + sumaGastos = [' || sumaGastos || '] + sumaParlamentarios = [' || sumaParlamentarios || '] + mediaGastos = [' || mediaGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2012;	-- No existen estadsticas
  pkg_estadistica.mediaGastosParlamentarios (idEjercicio, sumaGastos, sumaParlamentarios, mediaGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + sumaGastos = [' || sumaGastos || '] + sumaParlamentarios = [' || sumaParlamentarios || '] + mediaGastos = [' || mediaGastos || '] + rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('minTotalGastos_Parlamentario');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  idEjercicio := 2013;
  pkg_estadistica.minTotalGastos_Parlamentario (idEjercicio, idParlamentario, minTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamentario = [' || idParlamentario || '] + minTotalGastos = [' || minTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  pkg_estadistica.minTotalGastos_Parlamentario (idEjercicio, idParlamentario, minTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamentario = [' || idParlamentario || '] + minTotalGastos = [' || minTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2016;	-- No existte
  pkg_estadistica.minTotalGastos_Parlamentario (idEjercicio, idParlamentario, minTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamentario = [' || idParlamentario || '] + minTotalGastos = [' || minTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2012;	-- No existen estadsticas
  pkg_estadistica.minTotalGastos_Parlamentario (idEjercicio, idParlamentario, minTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamentario = [' || idParlamentario || '] + minTotalGastos = [' || minTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('maxTotalGastos_Parlamentario');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  idEjercicio := 2013;
  pkg_estadistica.maxTotalGastos_Parlamentario (idEjercicio, idParlamentario, maxTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamentario = [' || idParlamentario || '] + maxTotalGastos = [' || maxTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  pkg_estadistica.maxTotalGastos_Parlamentario (idEjercicio, idParlamentario, maxTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamentario = [' || idParlamentario || '] + maxTotalGastos = [' || maxTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2016;	-- No existe
  pkg_estadistica.maxTotalGastos_Parlamentario (idEjercicio, idParlamentario, maxTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamentario = [' || idParlamentario || '] + maxTotalGastos = [' || maxTotalGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2012;	-- No existen estadsticas
  pkg_estadistica.maxTotalGastos_Parlamentario (idEjercicio, idParlamentario, maxTotalGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamentario = [' || idParlamentario || '] + maxTotalGastos = [' || maxTotalGastos || '] + rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('sumaTotalGastos_Parlamentos');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  idEjercicio := 2013;
  pkg_estadistica.sumaTotalGastos_Parlamentos (idEjercicio, sumaGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + sumaGastos = [' || sumaGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  pkg_estadistica.sumaTotalGastos_Parlamentos (idEjercicio, sumaGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + sumaGastos = [' || sumaGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2016;	-- No existe
  pkg_estadistica.sumaTotalGastos_Parlamentos (idEjercicio, sumaGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + sumaGastos = [' || sumaGastos || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2012;	-- No existen estadsticas
  pkg_estadistica.sumaTotalGastos_Parlamentos (idEjercicio, sumaGastos, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + sumaGastos = [' || sumaGastos || '] + rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('minMediaGastoParlamentario');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  idEjercicio := 2013;
  pkg_estadistica.minMediaGastoParlamentario (idEjercicio, idParlamento, nombre, minMedia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + nombre = [' || nombre || '] + minMedia = [' || minMedia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  pkg_estadistica.minMediaGastoParlamentario (idEjercicio, idParlamento, nombre, minMedia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + nombre = [' || nombre || '] + minMedia = [' || minMedia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2016;	-- No existe
  pkg_estadistica.minMediaGastoParlamentario (idEjercicio, idParlamento, nombre, minMedia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + nombre = [' || nombre || '] + minMedia = [' || minMedia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2012;	-- No existen estadsticas
  pkg_estadistica.minMediaGastoParlamentario (idEjercicio, idParlamento, nombre, minMedia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + nombre = [' || nombre || '] + minMedia = [' || minMedia || '] + rsp = [' || rsp || ']');
  --
  --
  DBMS_OUTPUT.NEW_LINE;
  DBMS_OUTPUT.PUT_LINE ('maxMediaGastoParlamentario');
  DBMS_OUTPUT.NEW_LINE;
  --
  --
  idEjercicio := 2013;
  pkg_estadistica.maxMediaGastoParlamentario (idEjercicio, idParlamento, nombre, maxMedia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + nombre = [' || nombre || '] + maxMedia = [' || maxMedia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2014;
  pkg_estadistica.maxMediaGastoParlamentario (idEjercicio, idParlamento, nombre, maxMedia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + nombre = [' || nombre || '] + maxMedia = [' || maxMedia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2016;	-- No existe
  pkg_estadistica.maxMediaGastoParlamentario (idEjercicio, idParlamento, nombre, maxMedia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + nombre = [' || nombre || '] + maxMedia = [' || maxMedia || '] + rsp = [' || rsp || ']');
  --
  idEjercicio := 2012;	-- No existen estadsticas
  pkg_estadistica.maxMediaGastoParlamentario (idEjercicio, idParlamento, nombre, maxMedia, rsp);
  DBMS_OUTPUT.PUT_LINE ('idEjercicio = [' || idEjercicio || '] + idParlamento = [' || idParlamento || '] + nombre = [' || nombre || '] + maxMedia = [' || maxMedia || '] + rsp = [' || rsp || ']');
--
END;
/